RHEL 6 / 7 : eap7-jboss-ec2-eap (RHSA-2016:1840)

High Nessus Plugin ID 112172

Synopsis

The remote Red Hat host is missing one or more security updates.

Description

An update for eap7-jboss-ec2-eap is now available for Red Hat JBoss Enterprise Application Platform 7.0 for RHEL 6 and Red Hat JBoss Enterprise Application Platform 7.0 for RHEL 7.

Red Hat Product Security has rated this update as having a security impact of Important. A Common Vulnerability Scoring System (CVSS) base score, which gives a detailed severity rating, is available for each vulnerability from the CVE link(s) in the References section.

The eap7-jboss-ec2-eap packages provide scripts for Red Hat JBoss Enterprise Application Platform running on the Amazon Web Services (AWS) Elastic Compute Cloud (EC2).

With this update, the eap7-jboss-ec2-eap package has been updated to ensure compatibility with Red Hat JBoss Enterprise Application Platform 7.0.2. Refer to the JBoss Enterprise Application Platform 7.0.2 Release Notes, linked to in the References section, for information about the most significant bug fixes and enhancements included in this release.

Security Fix(es) :

* It was found that the Java Standard Tag Library (JSTL) allowed the processing of untrusted XML documents to utilize external entity references, which could access resources on the host system and, potentially, allowing arbitrary code execution. (CVE-2015-0254)

* It was reported that EAP 7 Application Server/Undertow web server is vulnerable to the injection of arbitrary HTTP headers, and also response splitting, due to insufficient sanitization and validation of user input before the input is used as part of an HTTP header value.
(CVE-2016-4993)

* The domain controller will not propagate its administrative RBAC configuration to some slaves. An attacker could use this to escalate their privileges. (CVE-2016-5406)

Red Hat would like to thank Calum Hutton (NCC Group) and Mikhail Egorov (Odin) for reporting CVE-2016-4993. The CVE-2016-5406 issue was discovered by Tomaz Cerar (Red Hat).

Solution

Update the affected eap7-jboss-ec2-eap and / or eap7-jboss-ec2-eap-samples packages.

See Also

http://rhn.redhat.com/errata/RHSA-2016-1840.html

https://www.redhat.com/security/data/cve/CVE-2015-0254.html

https://www.redhat.com/security/data/cve/CVE-2016-4993.html

https://www.redhat.com/security/data/cve/CVE-2016-5406.html

Plugin Details

Severity: High

ID: 112172

File Name: redhat-RHSA-2016-1840.nasl

Version: 1.1

Type: local

Agent: unix

Published: 2018/08/29

Modified: 2018/08/29

Dependencies: 12634

Risk Information

Risk Factor: High

CVSSv2

Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

CVSSv3

Base Score: 8.8

Vector: CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H

Vulnerability Information

CPE: p-cpe:/a:redhat:enterprise_linux:eap7-jboss-ec2-eap, p-cpe:/a:redhat:enterprise_linux:eap7-jboss-ec2-eap-samples, cpe:/o:redhat:enterprise_linux:6, cpe:/o:redhat:enterprise_linux:7

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

Patch Publication Date: 2016/09/08

Reference Information

CVE: CVE-2015-0254, CVE-2016-4993, CVE-2016-5406

RHSA: 2016:1840